Package org.gradle.api.attributes

# Interface DocsType

All Superinterfaces:
  `Named`

public interface DocsType extends Named
Attributes to qualify the type of documentation.

This attribute is usually found on variants that have the `Category` attribute valued at `documentation`.

Since:
  5.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Attribute<DocsType>`
  `DOCS_TYPE_ATTRIBUTE`
  `static final String`
  `DOXYGEN`
  The typical documentation for native APIs
  `static final String`
  `JAVADOC`
  The typical documentation for Java APIs
  `static final String`
  `SAMPLES`
  Samples illustrating how to use the software module
  `static final String`
  `SOURCES`
  The source files of the module
  `static final String`
  `USER_MANUAL`
  A user manual

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Field Details

  - ### DOCS_TYPE_ATTRIBUTE

    static final Attribute<DocsType> DOCS_TYPE_ATTRIBUTE

  - ### JAVADOC

    static final String JAVADOC
    The typical documentation for Java APIs
    See Also:
      - Constant Field Values

  - ### SOURCES

    static final String SOURCES
    The source files of the module
    See Also:
      - Constant Field Values

  - ### USER_MANUAL

    static final String USER_MANUAL
    A user manual
    See Also:
      - Constant Field Values

  - ### SAMPLES

    static final String SAMPLES
    Samples illustrating how to use the software module
    See Also:
      - Constant Field Values

  - ### DOXYGEN

    static final String DOXYGEN
    The typical documentation for native APIs
    See Also:
      - Constant Field Values